Subject: Re: bug#69689: 30.0.50; cannot native compile with -flto in native-comp-compiler-options

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Mar 2024 19:47:52 +0200

> From: StrawberryTea <[email-masked]>
> Cc: Paul Eggert <[email-masked]>,  [email-masked]
> Date: Sun, 10 Mar 2024 12:32:25 -0500
> 
> Well, I wanted to ask here because I wanted to check if anyone else is
> able to compile elisp files with -flto in native-comp-compiler-options.
> I believe that the error is related to the native-comp branch, as a
> Gentoo developer from the libgccjit mailing list has already confirmed
> that libgccjit is compiled with lto support. The matter at hand is not
> about Emacs's inherent support for -flto, but rather if the native-comp
> branch can compile Elisp using the -flto option.

I don't see how this is a question for us, given the error messages
that you cite in your OP.  It clearly says that something is missing
in your GCC/Binutils installation, and therefore libgccjit fails to
run the GCC driver.  How can that be a problem with Emacs?